class RefreshWalletWorker
  include SuckerPunch::Job
  workers 2
  
  @available_connections = [:refresh_wallet_worker_1, :refresh_wallet_worker_2, :refresh_wallet_worker_3]
  def self.get_connection
    @available_connections.pop
  end
  
  def self.return_connection(conn)
    @available_connections.push(conn)
  end
  
  def self.all_connections
    @available_connections
  end

  def perform(master_account_id, currency = "EMP", opts = {})
    conn = RefreshWalletWorker.get_connection
    EME::Billing.reload_wallet(master_account_id, currency, opts, EME::Billing.connection(conn))
    RefreshWalletWorker.return_connection(conn)
  end
end
