require 'api_consumer'

module EME
  class BT < APIConsumer
    def self.track(data = {}, conn = connection, opts = {}, reload = false)
      return nil if data[:master_account_id].nil? || data[:action].nil? || data[:label].nil?
      d = { :uid => data[:master_account_id], :act => data[:action], :label => data[:label] }
      d[:game]  = data[:game] || settings[:game]
      d[:res]   = data[:resource] || settings[:resource]
      d[:md]    = data[:metadata] if data[:metadata]
      d[:ip]    = data[:ip] if data[:ip]
      
      opts[:method] = :post
      #opts[:body] = d.to_json
      
      opts[:body] = URI.encode_www_form(d)
      opts[:headers] = {"Content-Type" => "application/x-www-form-urlencoded"}
      return do_request("/cast", conn, opts)
    end
  end
end
