require 'api_consumer'

module EME
  class TeraServer < APIConsumer
    def self.list(conn = connection, opts = {})
      server_data = do_request("/servers/list.en", conn, opts)
      servers = server_data["serverlist"]["server"].collect{|sd| puts sd.inspect; EME::TeraServer::Server.new({:name => sd["name"], :id => sd["id"], :kind => sd["category"], :status_flag => sd["server_stat"], :message => sd["popup"], :crowd => sd["crowdness"], :open => sd["open"]})}
      servers.sort!{|a,b| a.name <=> b.name}
      return servers
    end
  end
end
require_relative './tera_server/server'
