require 'api_consumer'

module EME
  class Shop < APIConsumer
    def self.categories(game_id, conn = connection, opts = {}, reload = false)
      opts[:reload] ||= reload
      return do_request("/shop/categories?game_id=#{game_id}", conn, opts)
    end

    def self.gumballs(game, conn = connection, opts = {}, reload = false)
      opts[:reload] ||= reload
      return do_request("/shop/gumballs?game=#{game}", conn, opts)
    end
  end
end
