require 'api_consumer'
module EME

  def self.load_services
    loaded = []
    SERVICES.each do |serv|
      if(File.exists?("./config/eme_#{serv}.yml"))
        require_relative "./eme/#{serv}"
        loaded << serv
      end
    end
    return loaded
  end

  SERVICES = ["admin_user", "ams", "auth", "billing", "bt", "email", "lootbox", "sso", "shop",
    "subscription", "tera_game_data", "tera_server"]
end

EME.load_services()
